System.ServiceModel 4.0.0.0 System.ServiceModel.ChannelFactory<TChannel> TChannel To be added.

A duplex channel allows clients and servers to communicate with each other independently so that either can initiate calls to the other. A duplex service can send messages to the client endpoint, providing event-like behavior. Duplex communication occurs when a client establishes a session with a service and provides the service with a channel on which the service can send messages back to the client. The various methods are used to create these duplex channels. The duplex message pattern is one of three message patterns available to indigo1 services. The other two message patterns are one-way and request-reply.

For a general discussion of duplex services that allow clients to connect back to the service, see Duplex Services. For an outline and discussion of the steps involved in writing a indigo1 client application using a channel factory, see How to: Use the ChannelFactory. For a procedure describing how to create a indigo1 client in a client class that implements the callback interface to access a service that uses a duplex messaging pattern, see How to: Access Services with a Duplex Contract.

Provides the means to create and manage duplex channels of different types that are used by clients to send and receive messages to and from service endpoints.

- Constructor
  4.0.0.0
  To be added.

  Use this constructor to pass an object that implements the callback contract for the target service programmatically rather than by using an application configuration file.

  Initializes a new instance of the class with an object that implements the callback contract.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with specified instance context.

  The that the client uses to listen for messages from the connected service
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with specified type of callback instance.

  The that provides the callback instance that the client uses to listen for messages from the connected service.
- Constructor
  4.0.0.0
  To be added.

  Use this constructor to pass an instance context object that implements the callback contract for the target service and to pass the binding information programmatically rather than by using an application configuration file.

  Initializes a new instance of the class with an object that implements the callback contract and a specified binding.

  The used to connect to the service by channels produced by the factory.
- Constructor
  4.0.0.0
  To be added.

  Use this constructor to pass a service object that implements the callback contract for the target service and to pass the service endpoint information programmatically rather than using an application configuration file.

  Initializes a new instance of the class with an object that implements the callback contract and a specified endpoint.

  The to which channels produced by the factory connect.
- Constructor
  4.0.0.0
  To be added.

  Use this constructor to pass a service object that implements the callback contract for the target service and determine the target endpoint information from the client application configuration file.

  Initializes a new instance of the class with an object that implements the callback contract and a specified configuration.

  The configuration name used for the endpoint.
- Constructor
  4.0.0.0

  Use this constructor to pass an instance context object that implements the callback contract for the target service and to pass the binding information programmatically rather than by using an application configuration file.

  Initializes a new instance of the class with a context that implements the callback contract and a specified binding.

  The that the client uses to listen for messages from the connected service.
  The used to connect to the service by channels produced by the factory.
- Constructor
  4.0.0.0

  Use this constructor to pass an instance context object that implements the callback contract for the target service and to pass the endpoint information programmatically rather than by using an application configuration file.

  Initializes a new instance of the class with an object that implements the callback contract and a specified endpoint.

  The that the client uses to listen for messages from the connected service.
  The to which channels produced by the factory connect.
- Constructor
  4.0.0.0

  Use this constructor to pass an instance context object that implements the callback contract for the target service and to determine the target endpoint information from the client application configuration file.

  Initializes a new instance of the class with an object that implements the callback contract and a specified configuration.

  The that the client uses to listen for messages from the connected service.
  The name used for the endpoint configuration.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with specified type of callback instance and binding.

  The that provides the callback instance that the client uses to listen for messages from the connected service.
  The used to connect to the service by channels produced by the factory.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with specified type of callback instance and service endpoint.

  The that provides the callback instance that the client uses to listen for messages from the connected service.
  The for the service.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with specified type of callback instance and configuration.

  The that provides the callback instance that the client uses to listen for messages from the connected service.
  The name used for the endpoint configuration.
- Constructor
  4.0.0.0
  To be added.

  Use this constructor to pass a service object that implements the callback contract for the target service and pass in the binding and address information programmatically rather than using an application configuration file.

  Initializes a new instance of the class with an object that implements the callback contract and a specified binding and endpoint address.

  The used to connect to the service by channels produced by the factory.
  The that provides the location of the service.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with specified callback object, binding, and remote address.

  The used to connect to the service by channels produced by the factory.
  The remote address that provides the location of the service.
- Constructor
  4.0.0.0
  To be added.

  Use this constructor to pass a service object that implements the callback contract for the target service, pass in the address information programmatically, and determine the remaining target endpoint information from the client application configuration file.

  Initializes a new instance of the class with an object that implements the callback contract, and a specified configuration and endpoint address.

  The name used for the endpoint configuration.
  The that provides the location of the service.
- Constructor
  4.0.0.0

  Use this constructor to pass an instance context object that implements the callback contract for the target service and to pass in the binding and address information programmatically rather than using an application configuration file.

  Initializes a new instance of the class with an object that implements the callback contract and a specified binding and endpoint address.

  The that the client uses to listen for messages from the connected service.
  The used to connect to the service by channels produced by the factory.
  The that provides the location of the service.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with specified instance context, binding, and remote address.

  The that the client uses to listen for messages from the connected service.
  The used to connect to the service by channels produced by the factory.
  The remote address that provides the location of the service.
- Constructor
  4.0.0.0

  Use this constructor to pass an instance context object that implements the callback contract for the target service address information programmatically, pass in the address information programmatically, and determine the remaining target endpoint information from the client application configuration file.

  Initializes a new instance of the class with an object that implements the callback contract and a specified configuration and endpoint address.

  The that the client uses to listen for messages from the connected service.
  The name used for the endpoint configuration.
  The that provides the location of the service.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with specified type of callback instance, binding, and remote address.

  The that provides the callback instance that the client uses to listen for messages from the connected service.
  The used to connect to the service by channels produced by the factory.
  The that provides the location of the service.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified type of callback instance, binding, and remote address.

  The that provides the callback instance that the client uses to listen for messages from the connected service.
  The used to connect to the service by channels produced by the factory.
  The remote address that provides the location of the service.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified type of callback instance, configuration, and remote address.

  The that provides the callback instance that the client uses to listen for messages from the connected service.
  The name used for the endpoint configuration.
  The that provides the location of the service.
- Method
  4.0.0.0
  TChannel `` To be added.

  Creates a duplex channel between a service and a callback instance on the client.

  A duplex channel of type , the generic parameter for the factory, between the client and service.

  The that the client uses to listen for messages from the connected service.
- Method
  4.0.0.0
  TChannel `` `` To be added.

  Creates a duplex channel between a service and a callback instance on the client.

  A channel of type , the generic parameter for the factory, between the client and service.

  The that the client uses to listen for messages from the connected service. The name used for the endpoint configuration.
- Method
  4.0.0.0
  TChannel `` `` To be added.

  Creates a duplex channel between a service and a callback instance on the client.

  A duplex channel of type , the generic parameter for the factory, between the client and service.

  The that provides the location of the service. The that contains the transport address to which the message is sent.
- Method
  4.0.0.0
  TChannel `` `` To be added.

  Creates a duplex channel between a service and a callback instance on the client.

  A duplex channel of type , the generic parameter for the factory, between the client and service.

  The that the client uses to listen for messages from the connected service. The that provides the location of the service.
- Method
  4.0.0.0
  TChannel `` `` To be added.

  Creates a duplex channel between a service and a callback instance on the client.

  A channel of type , the generic parameter for the factory, between the client and service.

  The that the client uses to listen for messages from the connected service. The name used for the endpoint configuration.
- Method
  4.0.0.0
  TChannel `` `` `` To be added.

  Creates a duplex channel between a service and a callback instance on the client.

  A channel of type , the generic parameter for the factory, between the client and service.

  The that the client uses to listen for messages from the connected service. The used to connect to the service by channels produced by the factory. The that provides the location of the service.
- Method
  4.0.0.0
  TChannel `` `` `` To be added.

  Creates a duplex channel between a service and a callback instance on the client.

  A channel of type , the generic parameter for the factory, between the client and service.

  The that the client uses to listen for messages from the connected service. The used to connect to the service by channels produced by the factory. The that provides the location of the service.
- Method
  4.0.0.0
  TChannel `` `` `` To be added.

  Creates a duplex channel between a service and a callback instance on the client.

  A channel of type , the generic parameter for the factory, between the client and service.

  The that the client uses to listen for messages from the connected service. The that provides the location of the service. The that contains the transport address to which the message is sent.
- Method
  4.0.0.0
  TChannel `` `` `` `` To be added.

  Creates a duplex channel between a service and a callback instance on the client.

  A channel of type , the generic parameter for the factory, between the client and service.

  The that the client uses to listen for messages from the connected service. The used to connect to the service by channels produced by the factory. The that provides the location of the service. The that contains the transport address to which the message is sent.
- Method
  4.0.0.0
  TChannel `` `` `` `` To be added.

  Creates a duplex channel between a service and a callback instance on the client.

  A channel of type , the generic parameter for the factory, between the client and service.

  The that the client uses to listen for messages from the connected service. The used to connect to the service by channels produced by the factory. The that provides the location of the service. The that contains the transport address to which the message is sent.